summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-libs/libtompoly
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-libs/libtompoly')
-rw-r--r--dev-libs/libtompoly/Manifest1
-rw-r--r--dev-libs/libtompoly/libtompoly-0.04.ebuild33
-rw-r--r--dev-libs/libtompoly/metadata.xml23
3 files changed, 57 insertions, 0 deletions
diff --git a/dev-libs/libtompoly/Manifest b/dev-libs/libtompoly/Manifest
new file mode 100644
index 00000000000..323791b9828
--- /dev/null
+++ b/dev-libs/libtompoly/Manifest
@@ -0,0 +1 @@
+DIST ltp-0.04.tar.bz2 171966 SHA256 6ce0d39caeda866b8f81029e8354efb9d5393850e78ea24f64475bd87b97fc0b SHA512 64a0b25eb058fc2475e6c645138729796099081ad7e926b58d2e83468d988048607e26716b4b669f0e923ea74d4d9705ff5a0466eb41cbe160488d0173447234 WHIRLPOOL 7d05ba4911a715162c2d2668eb929ed2285e6477c90c741efe49660f9c497a5d6713745aa915b8d05a5be52d334781375bd151ae3a43476a6d3ac2c56a22667d
diff --git a/dev-libs/libtompoly/libtompoly-0.04.ebuild b/dev-libs/libtompoly/libtompoly-0.04.ebuild
new file mode 100644
index 00000000000..df09fb0a801
--- /dev/null
+++ b/dev-libs/libtompoly/libtompoly-0.04.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit toolchain-funcs multilib
+
+DESCRIPTION="portable ISO C library for polynomial basis arithmetic"
+HOMEPAGE="http://poly.libtomcrypt.org/"
+SRC_URI="http://poly.libtomcrypt.org/files/ltp-${PV}.tar.bz2"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+DEPEND="dev-libs/libtommath"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i \
+ -e 's:\<ar\>:$(AR):' \
+ -e "/^LIBPATH/s:/lib:/$(get_libdir):" \
+ makefile || die
+ tc-export AR CC
+}
+
+src_install() {
+ default
+ dodoc changes.txt *.pdf
+ docinto demo ; dodoc demo/*
+}
diff --git a/dev-libs/libtompoly/metadata.xml b/dev-libs/libtompoly/metadata.xml
new file mode 100644
index 00000000000..5a6046eed7c
--- /dev/null
+++ b/dev-libs/libtompoly/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ </maintainer>
+ <longdescription>
+ LibTomPoly has the following features.
+
+ * Totally public domain and is only dependent on LibTomMath, another public
+ domain library.
+ * Portable source code.
+ * Provides access to polynomials of finite characteristic of varying degrees
+ (it will grow to accomodate)
+ * Includes several algebraic operations.
+ o Usual addition, subtraction, division, multiplication.
+ o Modular versions of the add/sub/mul
+ o Modular exponentiation
+ o Irreducibility testing.
+ o Monic reductions
+ o Comparisons
+ </longdescription>
+</pkgmetadata>